let options = {
    diapason_akk: [],
    time_start: [5,10],
    time_bot: [2,8],
    phrases_list: [],
};

$('#activity_start').on('click', async function () {
    //{"chats":["@dfgggh",http....","t.me..."],"online":[0,48],"type":["admin","bots","alluser"]}
    //Получение данных из textarea
    options.phrases_list = [];
    let lines = $('#username_textarea_phrases').val().split(/\n/);
    for (var i = 0; i < lines.length; i++) {
      if (/\S/.test(lines[i])) {
        options.phrases_list.push($.trim(lines[i]));
      }
    }

    let time_start_from = $('#time_start_from').val();
    let time_start_before = $('#time_start_before').val();
    if(parseInt(time_start_from) >= parseInt(time_start_before)){
        error('Значение времени "до" не может быть меньше!')
        return
    } else {
        options.time_start[0] = time_start_from;
        options.time_start[1] = time_start_before;
    }

    let time_bot_from = $('#time_bot_from').val();
    let time_bot_before = $('#time_bot_before').val();
    if(parseInt(time_bot_from) >= parseInt(time_bot_before)){
        error('Значение времени "до" не может быть меньше!')
        return
    } else {
        options.time_bot[0] = time_bot_from;
        options.time_bot[1] = time_bot_before;
    }
    
  
    clear_log = 0
    let json = JSON.stringify(options);
    //Получили json обьект
    let this_class = $(this).hasClass("btn-success");
    if (this_class == true) {
        $(this).removeClass('btn-success');
        $(this).addClass('btn-danger');
        $(this).text("Остановить");
        $('#log li').remove();
        await eel.removing_spamblock(json)();
    } else {
        $(this).removeClass('btn-danger');
        $(this).addClass('btn-success');
        $(this).text("Запустить");
        eel.stopped('removing_spamblock') //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ТУТ КНОПКА ОТМЕНИТЬ
    }

});

window.addEventListener("beforeunload", function (e) {        
    eel.stopped('removing_spamblock')
});

function get_num_user_list(){
    let lines = $('#username_textarea_phrases').val().split(/\n/).length;
    $("#num_textarea_phrases").text(lines);
}

$('#save_phrases').on('click', async function () {
    save_login_history();
    get_num_user_list();
    success('Фразы сохранены!');
})

$('#username_textarea_phrases').bind('input', function(){
    get_num_user_list();
});

function save_login_history(){
    let lines = $('#username_textarea_phrases').val()
    localStorage.setItem('textarea_phrases_spamblock', lines);
}

$('#get_phrases_history').on('click', function(){
    let username_list = localStorage.getItem('textarea_phrases_spamblock');
    $('#username_textarea_phrases').val(username_list)
    get_num_user_list();
  });

eel.expose(set_finished_btn);
function set_finished_btn(){
    $('#activity_start').removeClass('btn-danger');
    $('#activity_start').addClass('btn-success');
    $('#activity_start').text("Запустить");
}

let clear_log = 0
eel.expose(log);
function log(log_line) {
  if (clear_log == 250){
    $('#log li:first').remove();
  } else {clear_log = clear_log + 1}
  $('#log').append('<li>' + log_line + '</li>');
  $('#log_div').scrollTop($('#log_div')[0].scrollHeight);
}




$('#select_accounts').on('click', async function () {
    options.diapason_akk = [];
    load_accounts();
});

$('#select_accounts_apply').on('click', async function () {
    $('#select_accounts_modal').modal('hide');
    let from = 1;
    let before = $('#table_users >tbody >tr').length;
    //Запускаем цикл по всей таблице
    for (let i = from; i <= before; i++) {
        let type_bg = $('#table_users tr').eq(i).attr("class");
        if (type_bg == "bg_selected") {
        //Получаем номер телефона
        phone_user = $('#table_users tr').eq(i).children('#phone').html();
        options.diapason_akk.push(phone_user);
        }
    }
    $("#account_num").removeClass('d-none');
    $("#account_num").text(options.diapason_akk.length);
});

// eel.expose(error);
function error(text) {
    Swal.fire({
        position: 'center',
        icon: 'error',
        title: 'Ошибка',
        text: text,
        showConfirmButton: false,
        timer: 2100
    })
}